/*
** Copyright 2004 Double Precision, Inc.  See COPYING for
** distribution information.
*/

#include	"courier_auth_config.h"
#include	"auth.h"
#include	"pkglibdir.h"
#include	"pkgincludedir.h"
#include	"authdaemonrc.h"
#include	"authldaprc.h"
#include	"authmysqlrc.h"
#include	"authpgsqlrc.h"
#include	"sbindir.h"
#include	"mailusergroup.h"

#include	<stdio.h>
#include	<stdlib.h>
#include	<string.h>
#include	<pwd.h>
#include	<grp.h>

static const char rcsid[]="$Id: authinfo.c,v 1.8 2004/10/30 21:53:28 mrsam Exp $";

static int getmuid()
{
	struct passwd *pw=getpwnam(MAILUSER);

	if (pw == NULL)
	{
		perror("Cannot obtain information for user " MAILUSER);
		exit(1);
	}

	return (pw->pw_uid);
}

static int getmgid()
{
	struct group *gr=getgrnam(MAILGROUP);

	if (gr == NULL)
	{
		perror("Cannot obtain information for userid " MAILGROUP);
		exit(1);
	}

	return (gr->gr_gid);
}

int main(int argc, char **argv)
{
	int n;

	for (n=1; n<argc; n++)
	{
		if (strcmp(argv[n], "--ldflags") == 0)
		{
			printf("-L%s\n",
			       PKGLIBDIR);
		}
		if (strcmp(argv[n], "--cppflags") == 0)
		{
			printf("-I%s\n", PKGINCLUDEDIR);
		}
		if (strcmp(argv[n], "--configfiles") == 0)
		{
			printf("userdb=%s\n"
			       "authdaemonrc=%s\n"
			       "authldaprc=%s\n"
			       "authmysqlrc=%s\n"
			       "authpgsqlrc=%s\n"
			       "mailuser=%s\n"
			       "mailgroup=%s\n"
			       "mailuid=%d\n"
			       "mailgid=%d\n"
			       "sbindir=%s\n",
			       USERDB,
			       AUTHDAEMONRC,
			       AUTHLDAPRC,
			       AUTHMYSQLRC,
			       AUTHPGSQLRC,
			       MAILUSER,
			       MAILGROUP,
			       getmuid(),
			       getmgid(),
			       SBINDIR);
		}
	}
	return (0);
}
